<?php
define('GCMS',true);
define('ROOT','./');
require_once (ROOT.'system/power.php');
if ($aut == true) {
////////////////////////////////////
//		  Сайт посетили 		 //
///////////////////////////////////
$users = $db -> dbcount('COUNT(*)','users');
$ulr = $db -> query("SELECT `lasttime` FROM `users`");
while($a = $ulr -> fetch_assoc()){
if (strftime("%d.%m.%Y",$a['lasttime']) == date("d.m.Y"))
$cr++;
}
$count=$cr+0;
$now=$users-$count;

$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
$diz -> head('Посетители  за сегодня '.$count);
$diz -> title('Посетителей за сегодня: '.$count.'</br>Сегодня не заходили: '.$now);
require_once (ROOT.'/new_mail.php');
if($count>0){
$msg.='<div class="fon">';
$ulr = $db -> query("SELECT `id`,`lasttime`,`ava` FROM `users` order by `lasttime` desc LIMIT ".$start.",".$num);
while ($us = $ulr -> fetch_assoc()) {
if (strftime("%d.%m.%Y",$us['lasttime']) == date("d.m.Y")){
if($aut==true){
if($us['ava']!='0.png'){$foto='../my/ava/'.$us['ava'].'';}else{
$foto='../styles/'.$ya['style'].'/images/noava.png';}
$av='<img src="system/resize.php?img='.$foto.'&width=30&height=30&i=0" alt="ава"/>';
}elseif($aut==false){
if($us['ava']!='0.png'){$foto='../my/ava/'.$us['ava'].'';}else{
$foto='../styles/'.$nastr['ststyle'].'/images/noava.png';}
$av='<img src="system/resize.php?img='.$foto.'&width=30&height=30&i=0" alt="ава"/>';
}
$msg .= '<table border="0" width="100%">
	<tr>
		<td height="0" width="26"><div class="avatar">'.$av.'</div></td>
 <td>
<div class="spisok">'.$func -> user($us['id']).' в '.$func -> times(date('H:i:s',$us['lasttime'])).'</div></td>
	</tr>
</table>';
}
}
$act = '?';
$msg .= ''.$func -> pagenav($act,$page,$total).'';
}else{$msg .='Сегодня посетителей не было..';}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);

} else {
header('location: ./aut.php');
}
?>